Bug 1914405 - Quick search modal should be opened when coming back from a selection
Summary: Quick search modal should be opened when coming back from a selection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: divgupta
QA Contact: Jaivardhan Kumar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-08 18:23 UTC by divgupta
Modified: 2021-02-24 15:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:51:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7723 0 None closed Bug 1914405: Fix to keep quick-search modal opened with previous input on coming back from a selection 2021-01-18 13:52:23 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:51:37 UTC

Description divgupta 2021-01-08 18:23:03 UTC
Description of problem:
When a user selects an option from the quick search modal in topology, they navigate to a form. If they press the browser back button, they return to topology without the quick search modal opened.

How reproducible: Always

Steps to Reproduce:
1.go to topology
2.click the `add to project` button
3.enter a search term
4.select and item and double click
5.press the browser back button

Actual results:
Quick search modal is closed. Reopening the modal shows no input value.

Expected results:
User should return to topology with the quick search modal opened and the previous input present.

Comment 2 Jaivardhan Kumar 2021-01-13 07:58:26 UTC
Verified on 

OpenShift version
openshift-install: 4.7.0-0.nightly-2021-01-12-203716
Kubernetes version v1.20.0+32efea9

macOSX , Google chrome Version 87.0.4280.88 (Official Build) (x86_64)

Comment 5 errata-xmlrpc 2021-02-24 15:51:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.